textures/legoland_decoration/jump
{
    qer_editorimage textures/legoland_decoration/jump.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_decoration/jump.tga
   blendFunc gl_dst_color gl_src_color
 }
}

/// **** This is the orange light block and the flamelight ***

textures/legoland_light/flamelight
{
    qer_editorimage textures/legoland_light/flamelight.tga
    surfaceparm trans
    q3map_nolightmap
    surfaceparm nomarks
 {
   map textures/legoland_light/flamelight.tga
   blendFunc gl_one gl_zero
 }
}

textures/legoland_light/flamelight_transparent
{
    qer_editorimage textures/legoland_light/flamelight_transparent.tga
    surfaceparm trans
    q3map_nolightmap
    surfaceparm nomarks
 {
   map textures/legoland_light/flamelight.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_effects/softwater
{
     qer_editorimage textures/liquids/pool2.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	cull disable
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2	
{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   blendfunc gl_dst_color gl_src_color
   }
	{
		map textures/liquids/pool2.tga
        blendfunc blend
		alphaGen const 0.2
	}
}


textures/legoland_sky/night_sky
{
    qer_editorimage textures/legoland_sky/skygradient_night.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
     q3map_lightmapFilterRadius 0 8
	q3map_sunExt 0.349019 0.494117 0.580392 15 360 90 2 32
	skyParms full 700 -
 {
   map textures/legoland_sky/sky_background.tga
   blendFunc GL_ONE GL_zero
 }
}

textures/legoland_sky/skygradient_night
{
    surfaceparm nonsolid
    qer_editorimage textures/legoland_sky/skygradient_night.tga
	q3map_nolightmap
 {
   map textures/legoland_sky/skygradient_night.tga
   blendFunc GL_ONE GL_zero
   rgbGen identityLighting
 }
}

textures/legoland_sky/night_stars
{
    surfaceparm nonsolid
    qer_editorimage textures/legoland_sky/night_stars.tga
	q3map_nolightmap
 {
   map textures/legoland_sky/night_stars.tga
   blendFunc GL_ONE GL_zero
   rgbGen identityLighting
 }
}

textures/legoland_sky/moon
{   
    DeformVertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
    
	    {
		 tcmod scale 1.75 1.75
	     clampmap textures/legoland_sky/moon.tga
         blendFunc blend
         
         }
}

textures/legoland_sky/night_clouds_1
{
    DeformVertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
	    {
		 tcmod scale 1.5 1.5
	     clampmap textures/legoland_sky/night_clouds_1.tga
         blendFunc blend
         }
}

textures/legoland_sky/night_clouds_2
{
    DeformVertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
	    {
		 tcmod scale 1.5 1.5
	     clampmap textures/legoland_sky/night_clouds_2.tga
         blendFunc blend
         }
}

textures/legoland_sky/night_clouds_3
{
    DeformVertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
	    {
		 tcmod scale 1.5 1.5
	     clampmap textures/legoland_sky/night_clouds_3.tga
         blendFunc blend
         }
}

textures/legoland_flat/brown
{

    qer_editorimage textures/legoland_flat/brown.tga
	q3map_lightmapfilterradius 0 8
    q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/brown.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/red
{

    qer_editorimage textures/legoland_flat/red.tga
	q3map_lightmapfilterradius 0 8
    q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/red.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/black
{

    qer_editorimage textures/legoland_flat/black.tga
	q3map_half_normalimage textures/legoland_flat/normal.tga
	q3map_lightmapfilterradius 0 8
    q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/black.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/lemongreen
{
    qer_editorimage textures/legoland_flat/lemongreen.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/lemongreen.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_flat/half_lemongreen
{
    qer_editorimage textures/legoland_flat/half_lemongreen.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/half_lemongreen.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_flat/white
{
    qer_editorimage textures/legoland_flat/white.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/white.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_flat/powderplum
{
    qer_editorimage textures/legoland_flat/powderplum.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/powderplum.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_flat/quarter_white
{
    qer_editorimage textures/legoland_flat/quarter_white.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/quarter_white.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_flat/darkblue
{
    qer_editorimage textures/legoland_flat/darkblue.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/darkblue.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/white
{
    qer_editorimage textures/legoland_ceiling/white.tga
	q3map_lightmapfilterradius 0 8
    q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/white.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/lemongreen
{
    qer_editorimage textures/legoland_ceiling/lemongreen.tga
	q3map_lightmapfilterradius 0 8
    q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/lemongreen.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/red
{
    qer_editorimage textures/legoland_ceiling/red.tga
	q3map_lightmapfilterradius 0 8
    q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/red.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_ceiling/brown
{
    qer_editorimage textures/legoland_ceiling/brown.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/brown.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/half_brown
{
    qer_editorimage textures/legoland_ceiling/half_brown.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/half_brown.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/darkblue
{
    qer_editorimage textures/legoland_ceiling/darkblue.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/darkblue.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/lemongreen
{
    qer_editorimage textures/legoland_ceiling/lemongreen.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/lemongreen.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/half_lemongreen
{
    qer_editorimage textures/legoland_ceiling/half_lemongreen.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/half_lemongreen.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/half_darkblue
{
    qer_editorimage textures/legoland_ceiling/half_darkblue.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/half_darkblue.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/half_powderplum
{
    qer_editorimage textures/legoland_ceiling/half_powderplum.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/half_powderplum.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/half_white
{
    qer_editorimage textures/legoland_ceiling/half_white.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/half_white.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_ceiling/powderplum
{
    qer_editorimage textures/legoland_ceiling/powderplum.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/powderplum.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_floor/red
{
    qer_editorimage textures/legoland_floor/red.tga
	q3map_lightmapfilterradius 0 8
    q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/red.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/half_red
{
    qer_editorimage textures/legoland_floor/half_red.tga
	q3map_lightmapfilterradius 0 8
    q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_red.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/half_brown
{
    qer_editorimage textures/legoland_floor/half_brown.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_brown.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_floor/white
{
    qer_editorimage textures/legoland_floor/white.tga
	//q3map_normalimage textures/legoland_floor/normal.tga
	q3map_lightmapfilterradius 0 8
    q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/white.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/brown
{
    qer_editorimage textures/legoland_floor/brown.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/brown.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_floor/darkblue
{
    qer_editorimage textures/legoland_floor/darkblue.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/darkblue.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_floor/lemongreen
{
    qer_editorimage textures/legoland_floor/lemongreen.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/lemongreen.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_floor/half_darkblue
{
    qer_editorimage textures/legoland_floor/half_darkblue.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_darkblue.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_floor/half_lemongreen
{
    qer_editorimage textures/legoland_floor/half_lemongreen.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_lemongreen.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_floor/half_powderplum
{
    qer_editorimage textures/legoland_floor/half_powderplum.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_powderplum.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_floor/half_white
{
    qer_editorimage textures/legoland_floor/half_white.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_white.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_floor/powderplum
{
    qer_editorimage textures/legoland_floor/powderplum.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/powderplum.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_floor/white
{
    qer_editorimage textures/legoland_floor/white.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/white.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_wall/red
{
    qer_editorimage textures/legoland_wall/red.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/red.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_wall/blue
{
    qer_editorimage textures/legoland_wall/blue.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/blue.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_wall/powderplum
{
    qer_editorimage textures/legoland_wall/powderplum.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/powderplum.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_wall/brown
{
    qer_editorimage textures/legoland_wall/brown.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/brown.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_wall/lemongreen
{
    qer_editorimage textures/legoland_wall/lemongreen.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/lemongreen.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_wall/blue_stairs
{
    qer_editorimage textures/legoland_wall/blue_stairs.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/blue_stairs.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_wall/lemongreen_stairs
{
    qer_editorimage textures/legoland_wall/lemongreen_stairs.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/lemongreen_stairs.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_wall/red_stairs
{
    qer_editorimage textures/legoland_wall/red_stairs.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/red_stairs.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_wall/powderplum_stairs
{
    qer_editorimage textures/legoland_wall/powderplum_stairs.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/powderplum_stairs.tga
   blendFunc gl_dst_color gl_src_color
 }
}


// ***** These are shaders used to counter the effect of overburned pixels. The light source is required to be where it is to cast pretty shadows. The workaround overburned pixels is to bring lightmap brightness down on those surfaces *****

textures/legoland_overexposure/blue_wall
{
    qer_editorimage textures/legoland_wall/blue.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
      q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 1.2

	{
       tcgen lightmap
       map $lightmap
       rgbGen identity
     }

   {
     map textures/legoland_wall/blue.tga
     blendFunc gl_dst_color gl_src_color
   }
}

textures/legoland_overexposure/half_white_floor
{
    qer_editorimage textures/legoland_floor/half_white.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 1.2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_white.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_overexposure/half_powderplum_floor
{
    qer_editorimage textures/legoland_floor/half_powderplum.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 1.2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_powderplum.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_overexposure/half_darkblue_floor
{
    qer_editorimage textures/legoland_floor/half_darkblue.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 1.2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_darkblue.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_overexposure/half_brown_floor
{
    qer_editorimage textures/legoland_floor/half_brown.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 1.2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_brown.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_overexposure/half_red
{
    qer_editorimage textures/legoland_floor/half_red.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 1.2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_red.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_overexposure/half_white_ceiling
{
    qer_editorimage textures/legoland_ceiling/half_white.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 1.2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/half_white.tga
   blendFunc gl_dst_color gl_src_color
 }
}

textures/legoland_overexposure/half_darkblue_ceiling
{
    qer_editorimage textures/legoland_ceiling/half_darkblue.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 1.2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/half_darkblue.tga
   blendFunc gl_dst_color gl_src_color
 }
}

// ***** Differente brightness value for to compensate for high intensity and high extradist *****

textures/legoland_overexposure/black
{
    qer_editorimage textures/legoland_flat/black.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightmapSize 1024 1024
     q3map_lightmapsamplesize 2
	q3map_lightmapBrightness 2
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/black.tga
   blendFunc gl_dst_color gl_src_color
 }
}


//**** The default common skip shader is broken ***

textures/legoland_common/skip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
     surfaceparm skip
}
